Skip to main content

Leases

Lease objects represent top-level lease data from AppFolio®. Skywalk API allows you to obtain the following lease attributes from AppFolio®.

The Lease Object

Attributes


leaseUUIDstring
Unique identifier of the lease.
Example:
"12345678-1234-11ee-a6d4-0123456789ab"

statusstring
Status of the lease.
Example:
"Completed"

leaseStartstring
Lease start date.
Example:
"11/12/2024"

leaseEndstring
Lease end date.
Example:
"11/11/2025"

signedOnDatestring
Date lease was signed.
Example:
"09/03/2024"

rentstring
Rent of lease.
Example:
"2,395.00"

securityDepositstring
Security deposit amount for lease.
Example:
"2,000.00"

renewalstring
If lease a renewal.
Example:
"No"

tenant.appfolioIdinteger
Appfolio id of tenant linked to this lease.
Example:
254

tenant.namestring
Full name of tenant linked to this lease.
Example:
"Johnston, Johnny L."


More Attributes


leaseDocumentUUIDstring

inquiryIdinteger

createdAtstring

updatedAtstring

sentDatestring

moveInstring

moveOutstring

marketRentstring

mostRecentRentstring

countersignedBystring

countersignedByIdinteger

countersignedDatestring

timeFromSendingToCountersigningstring

timeFromSendingToSigningstring

occupancy.appfolioIdinteger

occupancy.namestring

tenant.visibilitystring

unit.typestring

property.addressstring

property.streetstring

property.street2string

property.citystring

property.statestring

property.zipstring

The Tenant Object
{
"leaseUUID": "12345678-1234-11ee-a6d4-0123456789ab",
"leaseDocumentUUID": "87654321-1234-11ee-a6d4-0123456789ab",
"inquiryId": 12345,
"status": "Completed",
"createdAt": "10/16/2023",
"updatedAt": "09/19/2024",
"sentDate": "08/22/2024",
"leaseStart": "11/12/2024",
"leaseEnd": "11/11/2025",
"moveIn": "11/12/2023",
"moveOut": null,
"signedOnDate": "09/03/2024",
"rent": "2,395.00",
"marketRent": "2,395.00",
"mostRecentRent": "2,395.00",
"securityDeposit": "2,000.00",
"renewal": "No",
"countersignedBy": "Terry Frontdesk",
"countersignedById": 123,
"countersignedDate": "09/19/2024",
"timeFromSendingToCountersigning": "28",
"timeFromSendingToSigning": "12",
"occupancy": {
"appfolioId": 1234,
"name": "1234 Warm Weather Rd., CA 90001 - Unit 101 - Johnston, Johnny L."
},
"tenant": {
"appfolioId": 254,
"name": "Johnston, Johnny L.",
"visibility": "Active"
},
"unit": {
"appfolioId": 210,
"name": "101",
"type": "2 Bed + 2 Bath w/ Loft"
},
"property": {
"appfolioId": 7,
"name": "Warm Weather Apartments",
"address": "1234 Warm Weather Rd., CA 90001",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
}
}

Get Lease History

GET /v1/lease-history

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The lease history endpoint returns a list of leases in your AppFolio® account.

Parameters


propertyIdselect
AppFolio ID of a Property to serve as a filter.

propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.

ownerIdselect
AppFolio ID of an Owner to serve as a filter.

dateRangeselect
Date Range for report.
Default Value:  
this_and_next_6_months
Possible Values:  
this_month
this_quarter
this_year
this_year_to_month
last_month
last_quarter
last_year
trailing_3_months
trailing_6_months
trailing_12_months
rolling_12_months
this_and_next_3_months
this_and_next_6_months

dateFromdate_month
Date to given in MM/YYYY (e.g. 01/2021)

dateTodate_month
Date to given in MM/YYYY (e.g. 01/2021)

leaseStatusselect
Filter leases for a specific status.
Default: all.
Possible Values: all, Completed, Did Not Renew, Month To Month, Pending, Status Cannot Be Determined
Default Value:  
all
Possible Values:  
all
Completed
Did Not Renew
Month To Month
Pending
Status Cannot Be Determined

unitVisibilityselect
Filter by unit visibility.
Default: all.
Possible Values: all, active, hidden
Default Value:  
all
Possible Values:  
all
active
hidden

tenantVisibilityselect
Filter by tenant visibility.
Default: all.
Possible Values: all, active, hidden
Default Value:  
all
Possible Values:  
all
active
hidden

filterLeaseByselect
Filter leases by date.
Default: Lease Start Date.
Possible Values: Lease Start Date, Lease Countersigned Date
Default Value:  
Lease Start Date
Possible Values:  
Lease Start Date
Lease Countersigned Date

 

Returns


The standard List Response Format with a data property containing an array of Lease objects.

GET /v1/lease-history
curl -X GET 'https://api.skywalkapi.com/v1/lease-history' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/lease-history",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/lease-history?cursor=abcdefg"
},
"data": [
{
"leaseUUID": "12345678-1234-11ee-a6d4-0123456789ab",
"leaseDocumentUUID": "87654321-1234-11ee-a6d4-0123456789ab",
"inquiryId": 12345,
"status": "Completed",
"createdAt": "10/16/2023",
"updatedAt": "09/19/2024",
"sentDate": "08/22/2024",
"leaseStart": "11/12/2024",
"leaseEnd": "11/11/2025",
"moveIn": "11/12/2023",
"moveOut": null,
"signedOnDate": "09/03/2024",
"rent": "2,395.00",
"marketRent": "2,395.00",
"mostRecentRent": "2,395.00",
"securityDeposit": "2,000.00",
"renewal": "No",
"countersignedBy": "Terry Frontdesk",
"countersignedById": 123,
"countersignedDate": "09/19/2024",
"timeFromSendingToCountersigning": "28",
"timeFromSendingToSigning": "12",
"occupancy": {
"appfolioId": 1234,
"name": "1234 Warm Weather Rd., CA 90001 - Unit 101 - Johnston, Johnny L."
},
"tenant": {
"appfolioId": 254,
"name": "Johnston, Johnny L.",
"visibility": "Active"
},
"unit": {
"appfolioId": 210,
"name": "101",
"type": "2 Bed + 2 Bath w/ Loft"
},
"property": {
"appfolioId": 7,
"name": "Warm Weather Apartments",
"address": "1234 Warm Weather Rd., CA 90001",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
}
}
]
}